Cytosim PI Cytoskeleton Simulator

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members | Public Types | Public Member Functions
PropertyList Class Reference

## Public Types
typedef std::vector< Property * > | vec_type
| type of list used to store pointers to PROP
typedef vec_type::iterator | iterator
| iterator class type
typedef vec_type::const_iterator | const_iterator
| iterator class type

## Public Member Functions
| PropertyList ()
| constructor
| ~PropertyList ()
| destructor forget things without deleting objects
void | deposit (Property *p, bool refuse_duplicate=true)
| add a new Property in the list, and set its index() More...
void | push_back (Property *p)
| push a new Property in the list
int | remove (Property *p)
| forget pointer to p More...
void | erase ()
| delete all Property
iterator | begin ()
| iterator pointing to first element
iterator | end ()
| iterator that points to a position just past the last element
bool | empty () const
| true if no property are known
unsigned int | size () const
| number of known Property
unsigned int | number_of (std::string const &kind) const
| number of Property of that kind
Property * | operator[] (const unsigned int n) const
| return property stored at index `n`
void | for_each (void func(Property *)) const
| apply function to all objects
void | complete (SimulProp const *)
| complete all objects
Property * | find (const std::string &name) const
| return property which has the provided name, or zero if it cannot be found More...
Property * | find (const std::string &kind, const std::string &name, bool must_find=false) const
| return property which has the provided name, or zero if it cannot be found More...
Property * | find (const std::string &kind, const int index, bool must_find=false) const
| return property which has the provided index, or zero if it cannot be found
PropertyList | find_all (const std::string &kind) const
| return list of properties of the given kind
PropertyList | find_all (const std::string &kind1, const std::string &kind2) const
| return list of properties of the given kinds
PropertyList | find_all (const std::string &, const std::string &, const std::string &) const
| return list of properties of the given kinds
Property * | find_next (const std::string &kind, Property *) const
| return a properties of the given kind, that follows the given one
PropertyList | find_all_except (const std::string &kind) const
| return list of properties which are not of the given kind
int | find_index (const Property *p) const
| return index where Property is stored, or -1 if not found
void | write_names (std::ostream &, std::string const &) const
| print names of known Property
void | write (std::ostream &, bool prune) const
| write all Property More...

## Member Function Documentation

void deposit | ( | Property * | p,
|  | bool | refuse_duplicate = `true`
| ) |  |

If ( p == 0 ) nothing is done.

The index of the property is set from the number of Property of the same kind() already present in the list.

Property * find | ( | const std::string & | nm | ) | const

returns the first match

Property * find | ( | const std::string & | kd,
|  | const std::string & | nm,
|  | bool | must_find = `false`
| ) |  | const

returns the first match

int remove | ( | Property * | p | ) |

The size of the array will be reduced by one

void write | ( | std::ostream & | os,
|  | bool | prune
| ) |  | const

The values identical to the default settings are skipped if prune==1